package main

import (
	"bytes"
	"os"

	"github.com/burntSushi/toml"
	"github.com/spf13/cobra"

	"git.jpi.io/amery/jpictl/pkg/zones"
)

// Command
var dumpCmd = &cobra.Command{
	Use:   "dump",
	Short: "generates a toml representation of the config",
	RunE: func(_ *cobra.Command, _ []string) error {
		var buf bytes.Buffer

		m, err := zones.New(cfg.Base, cfg.Domain)
		if err != nil {
			return err
		}

		enc := toml.NewEncoder(&buf)
		if err = enc.Encode(m); err != nil {
			return err
		}

		if _, err = buf.WriteTo(os.Stdout); err != nil {
			return err
		}

		return nil
	},
}

func init() {
	rootCmd.AddCommand(dumpCmd)
}
